Google Chrome - Foro de ayuda

chrome-remote-desktop_current_amd64.deb no se puede instalar

Javert Mayor Hernández
25/01/16 17:59
When I try install chrome-remote-desktop_current_amd64.deb, I get the message:
Al intentar realizar la instalación del paquete chrome-remote-desktop_current_amd64.deb, obtengo el siguiente mensaje:
$ lsb_release -aNo LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 14.04.3 LTS
Release:    14.04
Codename:   trusty

$ sudo dpkg -i chrome-remote-desktop_current_amd64.deb 
(Leyendo la base de datos ... 543431 ficheros o directorios instalados actualmente.)
Preparing to unpack chrome-remote-desktop_current_amd64.deb ...
Unpacking chrome-remote-desktop (47.0.2526.18) over (47.0.2526.18) ...
dpkg: problemas de dependencias impiden la configuración de chrome-remote-desktop:
 chrome-remote-desktop depende de xvfb-randr | xvfb; sin embargo:
  El paquete `xvfb-randr' no está instalado.
  El paquete `xvfb' no está instalado.
 chrome-remote-desktop depende de xbase-clients; sin embargo:
  El paquete `xbase-clients' no está instalado.
 chrome-remote-desktop depende de python-psutil; sin embargo:
  El paquete `python-psutil' no está instalado.

dpkg: error al procesar el paquete chrome-remote-desktop (--install):
 problemas de dependencias - se deja sin configurar
Processing triggers for ureadahead (0.100.0-16) ...
Se encontraron errores al procesar:
 chrome-remote-desktop

$sudo apt-get install xvfb
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
 chrome-remote-desktop : Depende: xbase-clients pero no va a instalarse
                         Depende: python-psutil pero no va a instalarse
                         Recomienda: xvfb-randr pero no es instalable
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).

$ sudo apt-get install xbase-clients
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Tal vez quiera ejecutar «apt-get -f install» para corregirlo:
Los siguientes paquetes tienen dependencias incumplidas:
 chrome-remote-desktop : Depende: xvfb-randr pero no es instalable o
                                  xvfb
                         Depende: python-psutil pero no va a instalarse
                         Recomienda: xvfb-randr pero no es instalable
E: Dependencias incumplidas. Intente «apt-get -f install» sin paquetes (o especifique una solución).

alguna ayuda.

Respuestas (4)

Dennis Tobar
26/01/16 10:51
Hola Javert:

Una duda existencial... ¿hiciste un apt-get update antes de iniciar la instalación?. Los paquetes que se indican como dependencias son básicos (o al menos eso creo) para los entornos gráficos en Linux.

Mi recomendación es 

sudo apt-get clean all 
sudo apt-get update
sudo apt-get install xvfb-randr xfvb

o sigue esta guía para ver si te anda...

Saludos
Javert Mayor Hernández
26/01/16 15:08
Hola Dennis
Realice ambas acciones, con igual resultado
Javert Mayor Hernández
26/01/16 15:38
Hola Dennis
Para instalar xvfb:
1. Adicionar el repositorio a Ubuntu: $ sudo add-apt-repository "deb http://security.ubuntu.com/ubuntu trusty-security main"
2. Instalr xvfb $ sudo apt-get install xvfb xbase-clients python-psutil
saludos
Javert
PD Ahora me esta dando problemas con la actualización del repositorio Google
Javert Mayor Hernández
26/01/16 16:05
Hola Dennis
La guía funciona después de haber instalado xvfb
Saludos 
Javert